Loading...
Searching...
No Matches
etl::mem_cast_types< T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16 > Struct Template Reference

`#include <mem_cast.h>`

## Additional Inherited Members

Public Member Functions inherited from etl::mem_cast< etl::largest< T1, char, char, char, char, char, char, char, char, char, char, char, char, char, char, char >::size, etl::largest< T1, char, char, char, char, char, char, char, char, char, char, char, char, char, char, char >::alignment >
| ETL_STATIC_ASSERT ((Alignment==1)||etl::is_power_of_2< Alignment >::value, "Alignment must be a power of 2")
| mem_cast ()
| Default constructor.
mem_cast & | operator= (const mem_cast< Other_Size, Other_Alignment > &rhs)
| Assignment operator.
void | assign (const T &value)
| Assign from value.
void | assign_at_offset (size_t offset, const T &value)
| Assign from value at offset.
ETL_NODISCARD T & | ref ()
| Get a reference to T.
ETL_NODISCARD T & | ref_at_offset (size_t offset)
| Get a reference to T at offset (dynamic).
ETL_NODISCARD char * | data ()
| Get a pointer to the internal buffer.
Static Public Member Functions inherited from etl::mem_cast< etl::largest< T1, char, char, char, char, char, char, char, char, char, char, char, char, char, char, char >::size, etl::largest< T1, char, char, char, char, char, char, char, char, char, char, char, char, char, char, char >::alignment >
static ETL_NODISCARD ETL_CONSTEXPR size_t | size ()
| Get the size of the buffer.
static ETL_NODISCARD ETL_CONSTEXPR size_t | alignment ()
| Get the alignment of the buffer.
Static Public Attributes inherited from etl::mem_cast< etl::largest< T1, char, char, char, char, char, char, char, char, char, char, char, char, char, char, char >::size, etl::largest< T1, char, char, char, char, char, char, char, char, char, char, char, char, char, char, char >::alignment >
static ETL_CONSTANT size_t | Size
static ETL_CONSTANT size_t | Alignment

## Detailed Description

template<typename T1, typename T2 = char, typename T3 = char, typename T4 = char, typename T5 = char, typename T6 = char, typename T7 = char, typename T8 = char, typename T9 = char, typename T10 = char, typename T11 = char, typename T12 = char, typename T13 = char, typename T14 = char, typename T15 = char, typename T16 = char>
struct etl::mem_cast_types< T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16 >

mem_cast_var mem_cast from a variadic list of types

The documentation for this struct was generated from the following file:

- include/etl/mem_cast.h